Using GhostCasting to create and restore images

This section includes the following topics:

  • About GhostCasting

  • Preparing for GhostCasting

  • Creating a GhostCast Server

  • Starting a GhostCast session

  • Creating an image file

  • Restoring an image file onto client computers

  • Controlling the GhostCast session from the server

  • Setting Auto Start parameters

  • Setting the data transfer mode

  • Controlling the amount of network bandwidth used

  • Viewing and changing GhostCast Server session options

  • Running Ghost.exe on a client computer


About GhostCasting

GhostCasting lets multiple computers running Symantec Ghost receive the same information over a computer network simultaneously. The GhostCast Server works with Ghost.exe to create an image file of a model computer or restore an image file onto a number of client computers.

Symantec Ghost supports VMWare Disk images (.vmdk files) for both creating and restoring images. Symantec Ghost supports Backup Exec System Recovery (.v2i, .iv2i) and DeployCenter Library (.pqi) images for restoring a computer only.

The GhostCast Server supports the following forms of data transfer for transferring files:

  • Unicasting

  • Direct Broadcasting

  • Multicasting

GhostCasting makes workstation migration and rollouts more efficient and may eliminate replicated network traffic. You can use it through the Windows interface, command-line switches, batch files, or a combination of all methods.

The following applications are used in GhostCasting:

  • The GhostCast Server on the network server restores image files to multiple clients or creates an image file from a single connected client.

  • On a client workstation, Ghost.exe receives and writes the image file to the local disk.

GhostCasting supports the following:

  • Ethernet networks

  • Token ring networks

  • Image file creation

  • Multicast-enabled routers

  • Automatic IP address selection using BOOTP or DHCP

  • Session start scheduling

  • Partition-only GhostCasting

  • Multiple, simultaneous sessions, or one session per server


Splitting images in a GhostCast operation

When you perform a GhostCast operation, an image is split when it reaches 2 GB in size unless you have set the split size to another value with the -split command switch. If this switch is explicitly set to 0, the image does not split.


Preparing for GhostCasting

Before GhostCasting, you must set up the required software and hardware.

To prepare for GhostCasting

  1. Set up the network hardware.

    • Install the network adapter.

    • Connect cabling.

    • Set up the network adapter using the manufacturer's installation program.

    • Run the network adapter test program to check the network adapter and cabling.

  2. Determine the IP and networking settings.

    • BOOTP/DHCP vs. manual configuration

    • Network adapter drivers

    • Other overall requirements

More Information

About IP addresses for GhostCasting


About creating the model computer

Create a model computer to serve as a template for client computers. This is the first step in creating a Symantec Ghost image. Set up a computer with Windows and all of its drivers installed and configured as you want all of your computers configured.

You may need to create a model computer for each unique hardware setup. For example, if you have some computers with SCSI disks and some with IDE disks, you need to have separate images for them. However, on Windows 2000/XP computers, Microsoft Sysprep can help you create a generic template image for different hardware setups.

Note:

Before you take an image of a Windows Vista/XP/2000 computer, you should verify that the computer is not a member of a domain .


Creating a GhostCast Server

The GhostCast Server creates or distributes a copy of an image file to Symantec Ghost clients in a session composed of one server, a single image file, and one or more similar clients. The session name acts as a key. The session name identifies the session and is used by clients to indicate the session that they are to join.

To create a GhostCast Server

  1. Install GhostCast Server (Ghostsrv.exe).

  2. Create a boot package that contains Ghost.exe for the client computers.


Starting a GhostCast session

After setting up the server and preparing the boot package for the client computers, you can run a GhostCast session.

To start a GhostCast session

  1. On the GhostCast Server computer, on the Windows taskbar, click Start > Programs > Symantec Ghost > GhostCast Server.

  2. In the GhostCast Server window, in the Session Name box, type a session name.

    A GhostCast session name can be any alphanumeric sequence of characters and must be unique on your network. You can use spaces on the GUI but not with command-line switches. Session names are not case-sensitive.


Creating an image file

To create an image file, you must first start a GhostCast session from the GhostCast Server. Once you create a session on the server, join the GhostCast session from the source computer.

To create an image file using the GhostCast Server

  1. In the GhostCast Server window, click Create Image.

  2. Do one of the following:

    • In the Image File box, type the name and full path of the image file that you are creating.

    • Click Browse to find the location.

    You can overwrite existing files.

  3. Do one of the following:

    • To create an image of an entire disk, click Disk.

    • To create an image of a selected partition, click Partition.

  4. Click Accept Clients to accept the client computer into the session.

    The Accept Clients button becomes active when all boxes are filled in.

  5. Start Ghost.exe on the destination client computers and begin a GhostCast session.

More Information

“To connect a source computer to a GhostCast session”


Connecting a computer to a session

Once the GhostCast session is started on the server, you can start the client computer from a boot disk and have it join the session.

To connect a source computer to a GhostCast session

  1. Create a GhostCast session on the GhostCast Server.

  2. Using the Ghost network boot package, start Ghost.exe on the client computer.

  3. On the Ghost.exe menu, click GhostCasting, then select one of the following:

    Multicast

    Connect to the session using Multicasting

    Direct Broadcast

    Connect to the session using direct broadcasting

    Unicasting

    Connect to the session using Unicasting

  4. In the GhostCast Session Name to Join dialog box, type the session name.

  5. Click OK.

  6. Select the disk from which to take an image.

  7. Click OK.

  8. Select the partition from which to take an image, if required.

  9. Click OK.

  10. Select the level of compression that you require.

  11. Click Yes to begin.

More Information

“To create an image file using the GhostCast Server”

Running Ghost.exe on a client computer


Restoring an image file onto client computers

To restore an image file, you must first start a GhostCast session on the GhostCast Server. Once you create a session, connect the client computers to the GhostCast session.

To restore an image onto client computers using the GhostCast Server

  1. Click Restore Image to send an image file to all connecting clients.

  2. Do one of the following:

    • In the Image File box, type the name and full path of the image file containing the image.

    • Click Browse to find the location.

  3. On the File menu, click Image Description to view or modify a description of the image file.

    The disk or partition settings must be selected. If the file selected is not a valid image file, an error message appears.

  4. Do one of the following:

    • To restore an image of an entire disk, click Disk.

    • To restore an image of a partition and select the partition from the image file, click Partition.

  5. Click Accept Clients to accept the client computer into the session.

    The Accept Clients button becomes active when all required boxes are filled out.

  6. Join the client computers to the GhostCast session.

  7. Click Send to start the image restore and the GhostCast session when all of the required clients have joined the session.

The progress indicator shows the status of the GhostCast session as it proceeds, along with other image file and transfer details. The statistics shown are based on the image file size and reflect the sizes after compression. The speed shows the actual amount of data being sent over the network in megabytes-per-minute from the image file. The client status changes to In Progress.

If you close the GhostCast Server or turn off the computer once a GhostCast session has started, the GhostCast session stops and a warning message appears.

You must start Ghost.exe on the client computer and join the clients to the GhostCast session.

To join a GhostCast session to restore an image file to client computers

  1. On the client computers, use the Ghost Boot Disk to start Ghost.exe.

  2. On the Ghost.exe menu, click GhostCasting, then select one of the following:

    Multicast

    Connect to the session using Multicasting

    Direct Broadcast

    Connect to the session using Direct Broadcasting

    Unicasting

    Connect to the session using Unicasting

  3. In the GhostCast Session Name to Join dialog box, type the session name.

  4. Click OK.

  5. Select the disk to restore.

  6. Click OK.

  7. Select the partition to restore, if required.

  8. Click OK.

  9. Click Yes to indicate that the computer is ready for the image restore to begin.

    The IP and MAC addresses of the client computers that are connected and waiting for the GhostCast session to start appear in the Connected Clients list along with their status.

More Information

“To join a GhostCast session to restore an image file to client computers”

Running Ghost.exe on a client computer


Controlling the GhostCast session from the server

In the GhostCast session, you can specify the client disk or partition to restore from the server. You can also define command-line options to execute on the client computer as part of the cloning task.

To create an image file using the GhostCast Server and command-line options

  1. On the GhostCast Server, start a GhostCast session to create an image file.

  2. Click More Options.

  3. In the Disk No. box, type the disk number.

  4. In the Partition No. box, type the partition number if you are creating an image of a partition.

    The client clone command appears in the Command line box.

  5. Add other switches to the command line to execute specific command-line options on the client computer, if required.

    For example, if the initial command is:

    -clone,mode=pcreate,src=2,dst=@mcSessionNm

    Add the following switches to avoid prompts and restart the client computer after the image has been extracted:

    -clone,mode=pcreate,src=2,dst=@mcSessionNm -sure -rb

    Only use the -sure switch when you are certain that you are writing from the intended disk or partition.

  6. Click Accept Clients to accept the client computer into the session.

  7. Start the client computers in DOS.

  8. Run Ghost.exe using the -ja switch to log on to the GhostCast session from the command line:

    ghost.exe -ja=SessionNm

  9. Confirm your choices on the client computers if the -sure switch was not used.

To restore an image onto client computers using the GhostCast Server

  1. Create a GhostCast session to restore an image from the GhostCast Server.

  2. Click More Options.

  3. In the Disk No. box, type the disk number.

  4. In the Partition No. box, type the partition number, if required.

  5. In the Command line box, type the client clone command.

    Add other switches to the command line to execute specific commands on the client computer.

    For example, if the initial command is:

    -clone,mode=prestore,src=@mcSessionNm,dst=1:1

    Add the following switches to avoid prompts and restart the client computer after the image has restored:

    -clone,mode=prestore,src=@mcSessionNm,dst=1.1 -sure -rb

    Only use the -sure switch when you are sure that you are writing to the intended disk or partition.

  6. Click Accept Clients to accept the client computer into the session.

  7. Start the client computers in DOS.

  8. Run Ghost.exe using the -ja switch to log on to the GhostCast session from the command line:

    ghost.exe -ja=SessionNm

  9. Confirm your choices on the client computers if the -sure switch was not used.

More Information

“To create an image file using the GhostCast Server”

Running Ghost.exe on a client computer

Running Ghost.exe on a client computer


Setting Auto Start parameters

When your GhostCast session includes restoring an image file to client computers, you can set the server to start the session automatically. The start time can be based on a single parameter or a combination of parameters.

If you specify more than one Auto Start parameter, the session starts when one of the conditions is fulfilled.

To set Auto Start parameters

  1. In the GhostCast Server window, click More Options.

  2. Do one or more of the following:

    To use the time parameter:

    Type a specified time using a 24-hour clock and within the next 24-hour time period.

    For example, 5:30 AM would be 05:30, and 5:30 PM would be 17:30.

    To use the number of clients parameter:

    Type the number of clients that are connected to the session.

    For example, if the threshold is set to 10, then the server waits and accepts clients until the tenth client. Once the tenth and final client is accepted, the server stops accepting clients and starts sending out to the connected client computers.

    To use the timeout parameter:

    Type a number of minutes after the last client joined.

    For example, if the timeout is set to 15, the server waits indefinitely until the first client is accepted. After the first client joins, the 15 minute countdown starts. If no more clients join, the session starts 15 minutes later. If another client joins before the 15 minutes timeout, the timeout counter resets to 15 minutes and starts counting down again.


Setting the data transfer mode

You can set the data transfer mode to optimize the use of your network hardware setup. Used in conjunction with network bandwidth limits, you can optimize the way data files are transferred over your network.

Table: Transfer options lists the transfer options.

Table: Transfer options

Mode | Description | Use if
Unicast | Each packet is addressed to one computer. One stream of data is sent for each client. | You are transferring a data packet to one or two computers only.
Directed broadcast | Data is sent to all computers on a specified subnet. If clients are on more than one subnet, one stream is sent to each subnet. | Your network hardware does not support Multicasting.
Multicast | Data is sent to all computers on the network that have requested the data. Only one stream of data is sent. | Unicast or subnet targeted broadcasting are not appropriate.

Multicasting is usually the most efficient option for the following reasons:

  • Only one stream of data is sent out for all clients.

  • Multicasting sends packets only to client computers that have requested data from the GhostCast Server.

This requires the support of appropriately configured routers and switches. You can alter settings globally or for a GhostCast session.

Symantec Ghost attempts to use Multicasting by default. If you have set the data transfer mode to Unicast or Directed broadcast, then Symantec Ghost uses that method. If Directed broadcast or Multicasting fails, then Symantec Ghost attempts to use Unicast.

To set the data transfer mode

  1. In the Symantec GhostCast Server window, on the File menu, click Options.

  2. Click Force Mode.

  3. Select one of the following:

    • Multicast

    • Directed Broadcast

    • Unicast

  4. Click OK.


Controlling the amount of network bandwidth used

Symantec Ghost lets you control how much network bandwidth is used when GhostCasting. By using this functionality, you can avoid overloading the network with GhostCasting traffic.

You can enter a value for restoring an image, creating an image, or both. The values are saved and loaded the next time that you run the GhostCast Server. However, if you run a GhostCast session from the command line, the limits that are set on the command line are used for that session only.

Limiting network bandwidth is useful in some circumstances. Consider the following:

  • By limiting network bandwidth, you can increase performance on the network for users who are not the intended recipients of image files.

  • If your network hardware does not support multicasting, then limiting bandwidth is helpful in many situations.

Table: Limiting network bandwidth provides a guide to network hardware setups and when you may or may not want to limit network bandwidth.

Table: Limiting network bandwidth

Limit network bandwidth for | Hub only | Layer 2 switch | Layer 3 switch or multicasting compatible router and layer 2 switch
Unicast | Yes | No | No
Subnet targeted broadcast | Yes | Yes | Yes
Multicast | Yes | Yes | No

In situations where you would not limit network bandwidth, the hardware directs the traffic to intended recipients only, and all other users should be unaffected.

To set a limit for network bandwidth

  1. In the Symantec GhostCast Server window, on the File menu, click Options.

  2. In the Options dialog box, check Limit data throughput for.

    If this option is not enabled, then no limit is set.

  3. In the Restoring box, type the maximum MB per minute to set a limit for restoring an image.

  4. In the Creating box, type the maximum MB per minute to set a limit for creating an image.

    The ideal maximum usage to expect is as follows:

    100 BaseT

    300 MB per minute

    10 BaseT

    60 MB per minute

More Information

GhostCast Server command-line options


Viewing and changing GhostCast Server session options

In the Options dialog box you can specify session parameters.

You can specify a range of multicast addresses. Addresses in the following range are valid: 224.0.2.0-239.255.255.255. To specify an exact address, set the end address to the same as the start address. By setting a wide range of addresses, you can limit the chance of conflict if you run two or more GhostCast operations simultaneously. This option should be used by advanced users only.

To view or record GhostCast Server options

  1. On the File menu, click Options.

  2. If you want to use a specified multicast address range, click Use Specified Multicast Address Range, then type the multicast From and To addresses.

  3. Click Multicast Scope TTL to set the time to live.

    This limits how far the data passes through a network. Time to live is decremented by every router through which the data packet passes.

  4. Select one of the following:

    Restart On Completion

    Restart the GhostCast Server, accepting clients and using the same Auto Start parameters.

    Close GhostCast Server On Completion

    Close Symantec GhostCast Server once the session is complete.

  5. Click Log clients to create a log that lists GhostCasting session details, including when a session took place, the computers involved, and whether the session was successful.

    The log is saved to the path specified.

  6. In the Log Level box, select a log level to set a level of diagnostic GhostCast logging.

  7. In the Log File box, type a destination log file location.


Running Ghost.exe on a client computer

When using GhostCasting, the client executable, Ghost.exe, restores a GhostCast copy of an image file onto the client computer or creates an image file onto the GhostCast Server.

Ghost.exe runs under DOS and uses a packet driver interface to the network card. The TCP/IP settings are stored in a configuration file Wattcp.cfg that is located in the same directory as Ghost.exe.

As with all Symantec Ghost applications, DHCP, BOOTP, and manually set IP addresses are supported.

Use the Symantec Ghost GhostCast client command-line switches to run Ghost.exe from the command line or in the GhostCast session.

For a GhostCasting session, the selection of the partition or drive to write to, or read from, on the client is specified either on the client or in the command-line option on the server. Use the -ja switch on the client to run the operation from the server.

For any GhostCasting session, the session name on the entry screen of the client should match the GhostCast Server session name.


GhostCasting from the command line

This section includes the following topics:

  • About running GhostCast Server from the command line

  • Starting the GhostCast session

  • GhostCast Server command-line options


About running GhostCast Server from the command line

You can run the Symantec GhostCast Server from the command line by including switches with ghostsrv.

You can run GhostCast Server from the command line. Use a batch file or third-party scheduler application to start the server.

The syntax for running GhostCast Server is as follows:

ghostsrv filename session [options]

Where:

filename | Specifies the path and file name of a disk image file.
session | Specifies the session name.

More Information

GhostCast Server command-line options


Starting the GhostCast session

Once you have created a GhostCast session and the client computers have appeared on-screen, you can start the transmission.

To start the session transmission

  • When all clients have connected, click Start.


GhostCast Server command-line options

Table: GhostCast Server switches lists the GhostCast Server command-line switches.

Table: GhostCast Server switches

Switch

Description

-Ncount

Starts the GhostCast transmission after count clients have joined the session.

-Ttime

Starts sending to a session automatically after a specified time (24-hour hh:mm format) with a maximum of 24 hours.

-Ominutes

Starts transmission minutes after the last client connection.

-Llevel

Creates a log file specifying log level E, S, W, I, or A.

The log level x can be E (errors), S (statistics), W (warnings), I (information), or A (all) in increasing order of logging detail.

-Ffilename

Specifies log file name for the -L option and is by default, Ghostlog.txt.

-C

Closes ghostsrv application after GhostCast session completion.

-D

Uses create from client mode. Restore to client is the default.

-R

Restarts the GhostCast session on completion and waits for client connections again after GhostCasting is complete.

-P

Specifies partition mode operation. If restoring to clients, the partition number must be given. If creating an image from client, no partition number is required.

-U

Forces the multicast mode, as follows:

  • -UM (Multicast)

  • -UU (Unicast)

  • -UD (Directed Broadcast)

-Mxxx.xxx.xxx.xxx

Sets the multicast address to xxx.xxx.xxx.xxx. Addresses between 224.0.2.0 - 239.255.255.255 are valid.

-Mxxx.xxx.xxx.xxx-xxx.xxx.xxx.xxx

Specifies a range of multicast addresses. The address is chosen from within this range. Addresses between 224.0.2.0 - 239.255.255.255 are valid.

-DISKnumber

Specifies the client disk number to which to restore or create the image file.

-PARTnumber

Specifies the client partition number to which to restore or create the image file.

-Gswitch

Specifies switches to include in the command line and those used by the Ghost application.

-HLxxx

Sets the maximum amount of bandwidth consumed while restoring an image, where xxx is the number of megabytes per minute.

-HDxxx

Sets the maximum amount of bandwidth consumed while creating an image, where xxx is the number of megabytes per minute.

-TTLxxx

Sets the multicasting time to live.


Command-line option examples using GhostCast Server

Table: GhostCast Server command-line examples lists some examples of using GhostCast Server.

Table: GhostCast Server command-line examples

Summary | Syntax | Description
Creating an image file of a complete disk from a client computer and saving to image file c:\test123.gho using the session name labmodel | ghostsrv c:\test123.gho labmodel -d | Starts a GhostCast session called labmodel and creates or overwrites the image file c:\test123.gho. The first connecting client's IP address appears on-screen, and the session starts automatically. The client computer indicates the source drive to use for the image file creation.
Creating an image file of a partition from a client computer to an image file | ghostsrv c:\test123.gho TestSession -d -p | Starts a GhostCast session called TestSession and creates or overwrites the image file c:\test123.gho. The first connecting client's IP address appears on-screen, and the session starts automatically. The client computer indicates the source drive and partitions to include in the image created.
Restoring a disk image file onto client computers | ghostsrv.exe c:\test123.gho TestSession | Starts a GhostCast session called TestSession and uses the image file c:\test123.gho. The connecting clients' IP addresses appear on-screen. Start the session transmission.
Restoring a specific partition from an image file onto client computers | ghostsrv c:\test123.gho TestSession -p2 | Starts a GhostCast session called TestSession and uses the second partition in the image file c:\test123.gho. The connecting clients' IP addresses appear on-screen.
GhostCasting a specific partition from an image file to a specific partition on a destination drive | ghostsrv c:\test123.gho TestSession -p1 -DISK1-PART2 | Starts a GhostCast session called TestSession, uses the first partition in the image file c:\test123.gho, and places it in the second partition of the clients' first disk. The connecting clients' IP addresses appear on-screen. Start the GhostCast transmission.
Specifying the number of clients to Auto Start | ghostsrv c:\test123.gho TestSession -n10 | Starts a GhostCast session called TestSession and uses the image file c:\test123.gho. The connecting clients' IP addresses appear on-screen. Once 10 clients have connected, the session transmission starts automatically.
Specifying a time for Auto Start | ghostsrv c:\test123.gho TestSession -t13:30 | Starts a GhostCast session called TestSession and uses the image file c:\test123.gho. The connecting clients' IP addresses appear on-screen. At half past one in the afternoon (1:30 PM), the session transmission starts automatically.
Specifying time-based and client-count Auto Start and automatic closing | ghostsrv c:\test123.gho TestSession -t13:30 -n10 -c | Starts a GhostCast session called TestSession and uses the image file c:\test123.gho. The connecting clients' IP addresses appear on-screen. At either half past one in the afternoon (1:30 PM) or after 10 clients join the session, transmission starts automatically. Ghostsrv does not wait for both conditions to be met. When the GhostCast session is completed, ghostsrv closes down as requested.
Isolating problems | ghostsrv c:\test123.gho TestSession -la -ferrlog.txt-n10 | Starts a GhostCast session called TestSession and uses the image file c:\test123.gho. The connecting clients' IP addresses appear on-screen. Once 10 clients connect, the session transmission starts automatically and a log file, Errlog.txt, is created for debugging. Creating a log file reduces the performance of the GhostCast transmission.

More Information

Starting a GhostCast session

Starting a GhostCast session


GhostCasting and IP addresses

This section includes the following topics:

  • About IP addresses for GhostCasting

  • Locally specified IP addresses

  • About using BOOTP/DHCP to assign IP addresses


About IP addresses for GhostCasting

An IP network using locally specified addresses requires each manually setup computer to have the following:

  • A unique IP address

  • The correct subnet mask

  • The default gateway (optional)

Specify the TCP/IP configuration parameters using one of the following methods:

  • Locally on a computer in a configuration file

  • Automatically using a BOOTP or DHCP server


Locally specified IP addresses

The GhostCast Server receives its locally specified IP addresses, subnet masks, and default gateways from the TCP/IP parameters in the Network option of the Windows Control Panel.


Examples of Wattcp.cfg client configuration files

The following example displays the IP details on a computer and the details in the Wattcp.cfg file:

IP details:

  • IP address: 192.168.100.3

  • Subnet mask: 255.255.255.0

  • Default gateway: 192.168.100.1

Wattcp.cfg:

  • IP = 192.168.100.3

  • Netmask = 255.255.255.0

  • Gateway = 192.168.100.1

If the server and client are within the same subnet, a default gateway is not required. If they are on a separate subnet, a default gateway must be supplied.


About using BOOTP/DHCP to assign IP addresses

If a BOOTP or DHCP server is installed on the network, you may take advantage of DHCP or BOOTP for IP address assignment. A DHCP server is included in Windows NT Server release 4.0 and Windows 2000. Other DHCP and BOOTP applications are available for various operating systems and can be used with GhostCasting.

If you are GhostCasting to many clients, not having to edit a unique Wattcp.cfg file on every client may be advantageous. Balanced against this is the additional complexity of the DHCP setup.


BOOTP/DHCP automatically defined IP address

Specifying a local configuration for every computer on an IP network can be inconvenient or impractical. GhostCasting supports BOOTP and DHCP servers.

You must run the BOOTP or DHCP server to specify a computer's IP address. The BOOTP/DHCP server listens on the network for computers requesting an IP address and replies with the address that the BOOTP/DHCP server is configured to provide. The BOOTP/DHCP server must be configured to provide the IP address, subnet mask, and (optionally) the default gateway.


GhostCast Help context-sensitive topics

This section includes the following topics:

  • Options

  • Running the GhostCast Server from the command-line


GhostCast Server Help

  • Using GhostCasting to create and restore images
  • GhostCasting from the command line
  • GhostCasting and IP addresses


Running the GhostCast Server from the command-line

The syntax for running GhostCast Server from the command-line is as follows:

ghostsrv filename session [options]

Where filename specifies the path and file name of a disk image file and session specifies the session name.

Table: GhostCast Server switches lists the GhostCast Server command-line switches.

Table: GhostCast Server switches

Switch

Description

-Ncount

Starts the GhostCast transmission after count clients have joined the session.

-Ttime

Starts sending to a session automatically after a specified time (24-hour hh:mm format), with a maximum of 24 hours.

-Ominutes

Starts transmission minutes after the last client connection.

-Llevel

Creates a log file specifying log level E, S, W, I, or A.

-Ffilename

Specifies log file name for the -L option and is by default, Ghostlog.txt.

-C

Closes ghostsrv application after GhostCast session completion.

-D

Uses create from client mode, restore to client is the default.

-R

Restarts the GhostCast session on completion, waits for client connections again after GhostCasting is complete.

-P

Specifies partition mode operation. If restoring to clients, the partition number must be given, if creating an image from client, no partition number is required.

-U

Forces the multicast mode, as follows:

  • -UM (Multicast)

  • -UU (Unicast)

  • -UD (Directed Broadcast)

-Mxxx.xxx.xxx.xxx

Sets the multicast address to xxx.xxx.xxx.xxx, addresses between 224.0.2.0 - 239.255.255.255 are valid.

-Mxxx.xxx.xxx.xxx-xxx.xxx.xxx.xxx

Specifies a range of multicast addresses, the address is chosen from within this range. Addresses between 224.0.2.0 - 239.255.255.255 are valid.

-DISKnumber

Specifies the client disk number to which to restore or create the image file.

-PARTnumber

Specifies the client partition number to which to restore or create the image file.

-Gswitch

Specifies switches to include in the command-line and those used by the Ghost application.

-HLxxx

Sets the maximum amount of bandwidth consumed while restoring an image, where xxx is the number of megabytes per minute.

-HDxxx

Sets the maximum amount of bandwidth consumed while creating an image, where xxx is the number of megabytes per minute.

-TTLxxx

Sets the multicasting time to live.


Options

This dialog box lets you specify GhostCast options for a session.

Table: Options settings lists the available settings in this dialog box.

Table: Options settings

Setting

Description

Force Mode

Sets the data transfer mode to optimize the use of your network hardware setup. Used in conjunction with the network bandwidth limits, you can optimize the way data files are transferred over your network. The data transfer mode can be set to one of the following:

  • Unicast: Each packet is addressed to one computer. One stream of data is sent for each client.

  • Directed broadcast: Data is sent to all computers on a specified subnet. If clients are on more than one network, one stream is sent to each network.

  • Multicast: Data is sent to all computers on the network that have requested the data. Only one stream of data is sent.

Use a Fixed Multicast Address

Sets the specified multicast address to used in the session.

Addresses in the following range are valid: 224.0.2.0-239.255.255.255. This option should only be used by advanced users.

Multicast Scope TTL

Specifies the time to live.

This limits how far the data passes through a network. Time to live is decremented by every router through which the data packet passes.

Limit data throughput for

Specifies the network bandwidth.

Restoring: Maximum MB per minute to set a limit for restoring an image.

Creating: Maximum MB per minute to set a limit for creating an image.

Restart On Completion

Restarts the GhostCast Server once the session is complete, accepting clients and using the same Auto Start parameters.

Close GhostCast Server On Completion

Closes Symantec GhostCast Server once the session is complete.

Log Clients

Creates a log that lists GhostCasting session details, including when a session took place, the computers involved, and whether the session was successful.

The log is saved to the path specified.

Log Level

Specifies the level of diagnostic GhostCast logging.

Log File

Specifies the destination log file location.